Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Ihor Radchenko <[email-masked]>
Date: Tue, 16 Aug 2022 12:38:37 +0800

Eli Zaretskii <[email-masked]> writes:

>> I have seen very long lines in Org. Specifically, in source block
>> output. (http query)
>
> How long is "very long" in those cases?

AFAIR, over a screen full of text when truncate-lines is set to nil.
It should be over 5k symbols in my screen.

I remember this because it triggered a significant fontification
slowdown caused by some (now fixed) Org regexp hitting too many matches
on that line.

Also, I just checked some of my org files and found a >15k chars long line.

-- 
Ihor Radchenko,
Org mode contributor,
Learn more about Org mode at https://orgmode.org/.
Support Org development at https://liberapay.com/org-mode,
or support my work at https://liberapay.com/yantar92